'use client'

import useGetShippingData from '@/hooks/server/useGetShippingData'
import { useCheckoutStore } from '@/store/checkout'
import { useEffect } from 'react'

export default function Checkout() {
  const { shippingData, isFetched } = useGetShippingData()
  const setCheckoutStore = useCheckoutStore((state) => state.setCheckoutStore)

  useEffect(() => {
    if (isFetched && shippingData) {
      setCheckoutStore(
        'deliveryTypeId',
        shippingData[0].shipping_type_id.toString()
      )
    }
  }, [isFetched])

  if (!shippingData) return null

  return (
    <div
      className='reset break-words'
      dangerouslySetInnerHTML={{ __html: shippingData[0]?.description }}
    ></div>
    // <div className='flex flex-col gap-2 pt-2'>
    //   <h2 className='text-xl text-primary'>Արագ առաքում Երևանում</h2>
    //   <div className='space-y-3 text-sm'>
    //     <p>
    //       Երևանում առաքման ժամանակ կանխիկ վճարումով պատվերներն առաքվում են 1
    //       օրվա ընթացքում 12:00 - 22:00: Մինչև ժամը 15։00 գրանցված պատվերներն
    //       առաքվում են նույն օրը, 15։00-ից հետո գրանցված պատվերներն առաքվում են
    //       հաջորդ օրը։
    //     </p>
    //     <p>
    //       Կայքում անկանխիկ վճարված պատվերներն Երևանում առաքվում են 1 ժամվա
    //       ընթացքում։
    //     </p>
    //     <p>
    //       Առաքումն անվճար է, եթե պատվերը գերազանցում է 20.000 դրամը, իսկ մինչև
    //       20.000 դրամ արժողությամբ պատվերի դեպքում ավելացվում է 1.000 դրամ
    //     </p>
    //   </div>
    //   <h2 className='pt-2 text-xl text-primary'>Առաքումը մարզերում</h2>
    //   <p className='text-sm'>
    //     Մարզերում պատվերներն առաքվում են 2-3 աշխատանքային օրվա ընթացքում։
    //     Մարզերում առաքման արժեքը 1.500 դրամ է։
    //   </p>
    // </div>
  )
}
