import {
  HydrationBoundary,
  QueryClient,
  dehydrate,
} from '@tanstack/react-query'
import DigitalGiftCard from './DigitalGiftCard'
import axiosServer from '@/services/axiosServer'
import { User } from '@/types/profile.type'

export default async function page() {
  const queryClient = new QueryClient()
  await queryClient.prefetchQuery({
    queryKey: ['account'],
    queryFn: async (): Promise<User | undefined> => {
      const res = await axiosServer('api/account')
      return res.data.data
    },
  })

  return (
    <HydrationBoundary state={dehydrate(queryClient)}>
      <div>
        <DigitalGiftCard />
      </div>
    </HydrationBoundary>
  )
}
