import { SliderRange } from '@/components/ui/SliderRange'
import { getProducts } from '@/server/getProducts'
import { keepPreviousData, useQuery } from '@tanstack/react-query'
import { useSearchParams } from 'next/navigation'

export default function FilterPrice() {
  const searchParams = useSearchParams()
  // console.log(Object.fromEntries(searchParams))
  const page = searchParams.get('page') || '1'
  const { data: productsData } = useQuery({
    queryKey: [
      'products',
      {
        page,
        ...Object.fromEntries(searchParams),
      },
    ],
    queryFn: () => getProducts({ searchParams }),
    staleTime: 1000 * 60 * 60,
    placeholderData: keepPreviousData,
  })

  const min = productsData?.minPrice ?? 100
  const max = productsData?.maxPrice ?? 50000

  return <SliderRange min={min} max={max} step={100} />
}
