import type { KeyValue } from '@/types'
import Image from 'next/image'

const Delivery = ({ items }: { items: KeyValue[] }) => {
  const modifiedItems = [
    {
      name: items[0].value,
      image: items[3].value as string,
    },
    {
      name: items[1].value,
      image: items[4].value as string,
    },
    {
      name: items[2].value,
      image: items[5].value as string,
    },
  ]

  return (
    <div className='container my-8 flex items-center justify-evenly border-t border-primary pt-8 sm:flex-col sm:gap-4'>
      {modifiedItems.map((item, index) =>
        item.name && item.image ? (
          <div
            key={index}
            className='flex h-28 flex-1 flex-col items-center justify-between'
          >
            <Image
              src={item.image}
              alt='fast delivery'
              width={150}
              height={75}
              className='h-[75px] w-[150px] object-contain'
            />
            <div className='whitespace-nowrap font-bold'>{item.name}</div>
          </div>
        ) : null
      )}
    </div>
  )
}

export default Delivery
