declare global {
  interface Window {
    FB: any
    fbAsyncInit: any
  }
}

export const initFacebookSdk = () => {
  return new Promise<void>((resolve) => {
    // Load the SDK asynchronously if it's not already loaded
    if (!document.getElementById('facebook-jssdk')) {
      const script = document.createElement('script')
      script.id = 'facebook-jssdk'
      script.src = 'https://connect.facebook.net/en_US/sdk.js'
      script.crossOrigin = 'anonymous'
      script.async = true
      document.head.appendChild(script)
    }

    // Initialize the SDK once it's loaded
    window.fbAsyncInit = () => {
      window.FB.init({
        appId: process.env.NEXT_PUBLIC_FACEBOOK_APP_ID,
        cookie: true,
        xfbml: true,
        version: 'v20.0',
      })
      resolve()
    }
  })
}

export const getFacebookLoginStatus = () => {
  return new Promise((resolve) => {
    window.FB.getLoginStatus((response: any) => {
      resolve(response)
    })
  })
}

export const fbLogin = () => {
  return new Promise((resolve) => {
    window.FB.login(
      (response: any) => {
        resolve(response)
      },
      { scope: 'email' }
    )
  })
}
