'use client'

import Image from 'next/image'
import Link from 'next/link'

import Autoplay from 'embla-carousel-autoplay'

import {
  Carousel,
  CarouselContent,
  CarouselDots,
  CarouselItem,
} from '@/components/ui/carousel'
import { Banner } from '@/types'

export default function Hero({ banners }: { banners: Banner[] }) {
  return (
    <div className='container px-0 pt-8'>
      <Carousel
        opts={{ loop: true }}
        plugins={[Autoplay({ delay: 3000 })]}
        className='w-full'
      >
        <CarouselContent
        // className='-ml-0'
        >
          {banners.map((item, index) => (
            <CarouselItem
              key={index}
              //  className='pl-0'
            >
              <Link
                href={item.url || '/'}
                className='relative block aspect-[21/8.4] w-full'
              >
                <Image
                  src={item.image}
                  alt={item.name}
                  fill={true}
                  className='object-cover'
                />
              </Link>
            </CarouselItem>
          ))}
        </CarouselContent>
        <CarouselDots />
      </Carousel>
    </div>
  )
}
