'use client'

import { buttonVariants } from '@/components/ui/button'
import { cn } from '@/lib/utils'
import Link from 'next/link'
import { useEffect, useState } from 'react'
import { FaFacebookF, FaPinterestP } from 'react-icons/fa6'

export default function SocialShare({ className }: { className?: string }) {
  const [currentUrl, setCurrentUrl] = useState('')

  useEffect(() => {
    setCurrentUrl(window.location.href)
  }, [])

  return (
    <div className={cn('flex gap-2', className)}>
      <Link
        href={`https://www.facebook.com/sharer/sharer.php?u=${currentUrl}`}
        target='_blank'
        className={cn(
          buttonVariants({
            variant: 'ghost',
            size: 'iconSm',
            className:
              'rounded-full text-[1.25rem] hover:bg-blue-600 hover:text-background',
          })
        )}
        onClick={() => {
          window.open(
            `https://www.facebook.com/sharer/sharer.php?u=${currentUrl}`,
            '_blank',
            'toolbar=yes,scrollbars=yes,resizable=yes,top=100,left=200,width=600,height=600'
          )
        }}
      >
        <FaFacebookF />
      </Link>

      <Link
        href={`https://www.pinterest.com/pin/create/button/?url=${currentUrl}`}
        target='_blank'
        className={cn(
          buttonVariants({
            variant: 'ghost',
            size: 'iconSm',
            className:
              'rounded-full text-2xl hover:bg-rose-600 hover:text-background',
          })
        )}
        onClick={() => {
          window.open(
            `https://www.pinterest.com/pin/create/button/?url=${currentUrl}`,
            '_blank',
            'toolbar=yes,scrollbars=yes,resizable=yes,top=100,left=200,width=600,height=600'
          )
        }}
      >
        <FaPinterestP />
      </Link>
    </div>
  )
}
