const UserInfo = ({ orderData }: { orderData: any }) => {
  const isShippingAddressDifferent = Boolean(
    orderData?.addresses?.payment_address?.name
  )

  return (
    <>
      <div className='text-lg text-primary'>Հաճախորդի ինֆորմացիա</div>
      <div className='flex flex-wrap justify-between gap-4'>
        <div className='flex flex-col gap-4'>
          <div>Վճարողի հասցե</div>
          <div className='flex flex-col gap-2 text-sm'>
            <div>
              {isShippingAddressDifferent
                ? orderData?.addresses?.payment_address?.address
                : orderData?.addresses?.shipping_address?.address}
            </div>
            <div>
              {isShippingAddressDifferent
                ? orderData?.addresses?.payment_address?.city
                : orderData?.addresses?.shipping_address?.city}
            </div>
            <div>Հայաստան</div>
            <div>
              {isShippingAddressDifferent
                ? orderData?.addresses?.payment_address?.zip
                : orderData?.addresses?.shipping_address?.zip}
            </div>
            <div>
              {isShippingAddressDifferent
                ? orderData?.addresses?.payment_address?.phone
                : orderData?.addresses?.shipping_address?.phone}
            </div>
          </div>
        </div>
        <div className='flex flex-col gap-4'>
          <div>Առաքման հասցե</div>
          <div className='flex flex-col gap-2 text-sm'>
            <div>{orderData?.addresses?.shipping_address?.address}</div>
            <div>{orderData?.addresses?.shipping_address?.city}</div>
            <div>Հայաստան</div>
            <div>{orderData?.addresses?.shipping_address?.zip}</div>
            <div>{orderData?.addresses?.shipping_address?.phone}</div>
          </div>
        </div>
        <div className='flex flex-col gap-4'>
          <div>Կոնտակտային տվյալներ</div>
          <div className='flex flex-col gap-2 text-sm'>
            <div>{orderData?.email}</div>
          </div>
        </div>
      </div>
    </>
  )
}

export default UserInfo
