import { getAccount } from '@/server/getAccount'
import { useQuery } from '@tanstack/react-query'
import Cookies from 'js-cookie'

const useGetAccountData = () => {
  const token = Cookies.get('siamoods_token')
  const { data: accountData } = useQuery({
    queryKey: ['account'],
    queryFn: getAccount,
    enabled: !!token,
  })

  return { accountData }
}

export default useGetAccountData
