import axiosClient from '@/services/axiosClient'
import type { HomeData } from '@/types'
import { AxiosError } from 'axios'

export async function getHomeData(): Promise<HomeData | undefined> {
  try {
    const res = await axiosClient('api/get-home')
    return res.data.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
