import axiosClient from '@/services/axiosClient'
import { AxiosError } from 'axios'

export async function getShippingData(searchParams: any): Promise<
  | {
      free_rates: any
      rate: number | null
      shipping_area_id: number
      shipping_type_id: number
      time: string | null
      description: string
    }[]
  | undefined
> {
  try {
    const res = await axiosClient('api/shipping', {
      params: searchParams,
    })
    return res.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
