type SubType = {
  id: number
  name: string
  slug: string
  meta_title: string
  meta_keywords: string | null
  meta_description: string
}

export type StoreType = {
  id: number
  name: string
  slug: string
  subTypes: SubType[]
  meta_title: string
  meta_keywords: string | null
  meta_description: string
}

export type Stone = {
  id: number
  name: string
}

type Collection = {
  id: number
  name: string
}

type SeoMeta = {
  meta_title: string
  meta_description: string
  meta_keywords: string
}

export type JewelryTypes = {
  types: StoreType[]
  stones: Stone[]
  collections: Collection[]
  seo_meta: SeoMeta
}
